Messaging · iMessage
Starts an iMessage group chat.
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Authentication
Request body
application/json, required
accountIdstringrequiredcontactsarray of stringrequiredAt least 2 items. Up to 32 items.
textstringrequiredUp to 10000 characters.
namestringUp to 32 characters.
channelstringOne of
imessage,sms,rcs,whatsapp. Defaultimessage.
Example
curl -X POST "https://api.pozy.ai/v1/imessage/groups" \
-H "Authorization: Bearer $POZY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"accountId": "696e0b682d0a31188e7a2ba9",
"contacts": [
"string"
],
"text": "Hello from Pozy"
}'const res = await fetch("https://api.pozy.ai/v1/imessage/groups", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.POZY_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
accountId: "696e0b682d0a31188e7a2ba9",
contacts: [
"string"
],
text: "Hello from Pozy"
}),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.post(
"https://api.pozy.ai/v1/imessage/groups",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
json={
"accountId": "696e0b682d0a31188e7a2ba9",
"contacts": [
"string",
],
"text": "Hello from Pozy",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
202 on success
successbooleanrequestIdstring
202 response
{
"success": true,
"requestId": "62281f30b62a8870b34602a4"
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is read-only, scoped to other profiles, or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in iMessage
GETList iMessage sendersPOSTRegister an iMessage senderGETList iMessage sender ordersPOSTOrder a new iMessage senderGETGet iMessage sender statusPATCHUpdate an iMessage senderDELCancel an iMessage senderGETList iMessage audienceGETList iMessage sandbox contactsPOSTAdd an iMessage sandbox contactDELRemove an iMessage sandbox contactPOSTSubscribe or opt out an iMessage contactPOSTCreate a tracked iMessage opt-in linkGETList instantly available iMessage numbersPOSTReserve an available iMessage numberGETGet an iMessage groupPATCHRename an iMessage group or change its photoPOSTAdd a participant to an iMessage groupDELRemove a participant from an iMessage group